import type { Node } from './types';
declare const isObject: (value: unknown) => value is object;
declare const isUndefined: (value: unknown) => value is undefined;
declare const last: <T>(values: T[]) => T | undefined;
declare const traverse: <Keys extends unknown[], Value>(node: Node<Value>, keys: Keys) => Node<Value>[];
declare const weakize: <T>(values: T[]) => (WeakRef<object> | T)[];
declare const unweakize: <T>(values: (WeakRef<object> | T)[]) => (object | T | undefined)[];
export { isObject, isUndefined, last, traverse, weakize, unweakize };
